
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>浅谈JavaScript 函数参数传递到底是值传递还是引用传递_javascript技巧 / iVAN</title>

    <meta name="description" content="浅谈JavaScript 函数参数传递到底是值传递还是引用传递_javascript技巧 在传统的观念里,都认为JavaScript函数传递的是引用传递(也称之为指针传递),也有人认为是值传递和引用传递都具备.那么JS的参数传递到底是怎么回事呢?事实上以下的演示也完全可以用于Java 首先来一个比较简单的,基本类型的传递: function add(num){ num+=10; return num; } num=10; alert(add(num)); aelrt(num); //输出20,10 对于这里的输出20,10,按照JS的官方解释就是在基本类型参数传递的时候,做了一件复制">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">浅谈JavaScript 函数参数传递到底是值传递还是引用传递_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在传统的观念里，都认为JavaScript函数传递的是引用传递(也称之为指针传递)，也有人认为是值传递和引用传递都具备。那么JS的参数传递到底是怎么回事呢？事实上以下的演示也完全可以用于Java</p>
<p><strong>首先来一个比较简单的，基本类型的传递：</strong></p>
<pre>
function add(num){
  num+=10;
  return num;
}
num=10;
alert(add(num));
aelrt(num);
//输出20,10</pre>
<p>对于这里的输出20,10，按照JS的官方解释就是在基本类型参数传递的时候，做了一件复制栈帧的拷贝动作，这样外部声明的变量num和函数参数的num，拥有完全相同的值，但拥有完全不同的参数地址，两者谁都不认识谁，在函数调用返回的时候弹出函数参数num栈帧。所以改变函数参数num，对原有的外部变量没有一点影响。</p>
<p>再来看一个较复杂的，对象引用类型的传递:</p>
<pre>
function setName(obj){
  obj.name="ted";
}
var obj=new Object();
setName(obj);
alert(obj.name);
//输出ted</pre>
<p>以上代码的运行的实质是:创建了一个object对象，将其引用赋给obj(在C里面就直接是一个内存地址的赋值)，然后在传递函数参数的时候，做了一件与前一个方法相同的事情，复制了一个栈帧给函数参数的obj，两者拥有相同的值(不妨将其理解为object对象的地址)，然后在setName做改变的时候，事实上是改变了object对象自身的值(在JAVA里称之为可变类)，在改变完成之后同样也要弹出函数参数obj对应的栈帧。</p>
<p><strong>所以对应的输出是改变后object对象的值</strong></p>
<p>那么可能有的朋友可能会问，这样也可以理解为一个引用传递(指针传递)呀？不，这里严格的说，在和JAVA类似的语言中，已经没有了指针，在JAVA里将上述过程称之为一个从符号引用到直接引用的解析过程。在C里面，指针就是一个具有固定长度的类型(在大多数的C编译器里是2个字节)，但在JAVA类似的语言里，引用也有自己的属性和方法，只是你不能直接去访问和控制它，所以它从某种意义上也是一种对象，这种机制也很大程度的避免了内存泄露，术语称之为内存结构化访问机制。</p>
<p>为了证明上述观点，稍微改造下上述例子:</p>
<pre>
function setName(obj){
  obj.name="ted";
  obj=new Object();
  obj.name="marry";
}
var obj=new Object();
setName(obj);
alert(obj.name);
//输出ted</pre>
<p>这个例子与上一个例子的唯一不同是这里将一个新的对象赋给了函数参数obj，这样函数参数obj和原有的引用obj参数，有着完全不同的值和内存地址。</p>
<p>以上这篇浅谈JavaScript 函数参数传递到底是值传递还是引用传递就是小编分享给大家的全部内容了，希望能给大家一个参考，也希望大家多多支持。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索javascript<br />
                                    参数传递<br />
                                    javascript 引用传递、javascript 参数传递、javascript 引用、html引用javascript、javascript外部引用，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 00:51:51</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0%e4%bc%a0%e9%80%92/" title="参数传递">参数传递</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>浅谈JavaScript 函数参数传递到底是值传递还是引用传递_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLjovM.html" rel="bookmark">浅谈javascript函数劫持&lbrack;转自xfocus&rsqb;第1&sol;3页&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.概述 javascript函数劫持,也就是老外提到的javascript hijacking技术.最早还是和剑心同学讨论问题时偶然看到的一段代码,大概这样写的: window.alert = function(s) {}; 觉得这种用法很巧妙新颖,和API Hook异曲同工,索性称之为javascript function hook,也就是函数劫持.通过替换js函数的实现来达到劫持这个函数调用的目的,一个完整的hook alert函数例子如下: &lt;!--1.htm--&gt; 复制代码 代码如下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXK2r5M.html" rel="bookmark">浅谈javascript中for in 和 for each in的区别&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				区别一:         for in是javascript 1.0 中发布的.         for each in是作为E4X标准的一部分在javascript 1.6中发布的,而它不是ECMAScript标准的一部分.         这将意味着存在各种浏览器的兼容性问题.for each in,对很多浏览器都不支持的.例如是不支持IE6,IE7,IE8等浏览器的. 区别二:     例:  var 长方形= {  高:&quot;15&quot;,  宽:&quot;25&quot;  }; f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1QlWb.html" rel="bookmark">浅谈JavaScript中定义变量时有无var声明的区别&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前段时间回答了一个关于定义变量时使用关键字var与否的区别,总结回顾一下. 1.在函数作用域内 加var定义的变量是局部变量,不加var定义的就成了全局变量. 使用var定义: var a = 'hello World'; function bb(){ var a = 'hello Bill'; console.log(a); } bb() //'hello Bill' console.log(a); //'hello world' 不使用var定义: var a = 'hello World'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRLOWxz.html" rel="bookmark">浅谈javascript中执行环境（作用域）与作用域链&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相信很多初学者对与javascript中的执行环境与作用域链不能很好的理解,这里,我会按照自己的理解同大家一起分享. 一般情况下,我们把执行环境分为全局执行环境和局部执行环境,其中局部执行环境我们又可以称之为函数执行环境.那么究竟什么使执行环境呢?通俗的说,执行环境即为代码执行时所处的环境.我们下来看一看如下代码,再进一步分析之. &lt;script&gt;&lt;br&gt;var name=&quot;zhuzhenwei&quot;; function changeName(){ if (name			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2VaOM.html" rel="bookmark">浅谈JavaScript函数节流&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				浏览器中某些计算和处理要比其他的昂贵的多.例如,DOM操作比起非DOM交互需要更多的内存和CPU时间.连续尝试进行过多的DOM相关操作可能会导致 浏览器挂起,有时候甚至会崩溃.尤其在IE中使用onresize事件处理程序的时候容易发生,当调整浏览器大小的时候,该事件连续触发.在 onresize事件处理程序内部如果尝试进行DOM操作,其高频率的更改可能会让浏览器崩溃.      函数节流背后的基本思想是,某些代码不可以在没有间断的情况连续重复执行.第一次调用函数,创建一个定时器,在指定的时间间隔			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AA9mp.html" rel="bookmark">浅谈javascript函数中的this</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1) 当一个函数被保存为对象的一个属性时,我们称它为一个方法.当一个方法被调用时,this被绑定到该对象. 2) 当一个函数并非一个对象的属性,那么当它被调用时,this被绑定到全局对象.这一缺陷导致内部函数的this不一定是调用它的函数的this,解决办法是在外部函数定义一个新的变量指向this(例如var that = this; ). 3) 在一个函数前面带上new,将创建一个新对象,this绑定到新对象. 4) apply可以模拟一个对象拥有并执行该函数的场景,第一个参数传递对象给thi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVDJn4M.html" rel="bookmark">浅谈javascript 函数内部属性&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				        在函数内部有两个特殊的属性:arguments 和 this.arguments是一个类数组对象,包含传入的所有参数,         但是这个对象还有一个名叫callee的属性,该属性是一个指针,指向拥有这个arguments对象的函数.         请看经典的阶乘函数例子: 复制代码 代码如下:         function Factorial(num) {             if (num &lt;= 1) {                 return 1;  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6E4Wyb.html" rel="bookmark">浅谈javascript 函数属性和方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				        每个函数都包含两个属性:length 和 prototype         length:当前函数希望接受的命名参数的个数         prototype:是保存他们所有实力方法的真正所在 复制代码 代码如下:         function sayName(name) {             alert(name);         }         function sum(num1, num2) {             return num1 + num2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGJxOkp.html" rel="bookmark">浅谈JS中的&excl;&equals;、&equals;&equals; 、&excl;&equals;&equals;、&equals;&equals;&equals;的用法和区别&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				var num = 1; var str = '1'; var test = 1; test == num //true 相同类型 相同值 test === num //true 相同类型 相同值 test !== num //false test与num类型相同,其值也相同, 非运算肯定是false num == str //true 把str转换为数字,检查其是否相等. num != str //false == 的 非运算 num === str //false 类型不同,直接返回fals			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlB3Lz.html" rel="bookmark" class="title">接口-调试时如何准确的查找抽象方法的实现类及方法</a>
					<div>
						问题描述 调试时如何准确的查找抽象方法的实现类及方法 在开发过程中,常常会用到接口,实现其抽象方法,若在调试过程中有多个类(大约40个左右)都实现了该方法,如何准确的查找该方法并进行调试呢?求大神解答 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGQYeM.html" rel="bookmark" class="title">学习PHP精粹，编写高效PHP代码之质量保证</a>
					<div>
						一.使用静态分析工具测量质量   我们用静态分析测量代码而不运行它.实际上,我们将这些工具用于评估代码.读取文件.衡量它所写的要素.使用这些工具,可以帮助我们对代码库有一个完整的层次化的认识,甚至在代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxDeAb.html" rel="bookmark" class="title">ie坏了 怎样卸载</a>
					<div>
						用IE卸载工具IEradicator 对IE的卸载,我们一直没有很好.绝对彻底的方法.不过,这里我给大家介绍一款名为&quot;IEradicator&quot;(原名为IE-Remove),它可以将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7lZ7b.html" rel="bookmark" class="title">让Windows XP跑得更快更稳</a>
					<div>
						微软的XP系统被大多数网民称为是历史上最优秀的操作系统,有眼花缭乱的功能.更快的速度,当然这一切都对计算机的硬件提出了更高的要求,如果你希望WindowsXP能够尽可能少地占用你有限的系统资源,不妨根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRaDVz.html" rel="bookmark" class="title">鲁大师温度监测显示哪些内容</a>
					<div>
						在温度监测内,鲁大师显示计算机各类硬件温度的变化曲线图表.温度监测包含以下内容(视当前系统的传感器而定): CPU温度 显卡温度(GPU温度) 主硬盘温度 主板温度 风扇转速 勾选设备图标左上方的选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wv91p.html" rel="bookmark" class="title">手把手带你入门IOS 8人机界面设计</a>
					<div>
						  在去年,Apple针对新时代用户彻底更新了其设计语言.现在的设计语言相对之前大为简化,能够让设计师将精力集中到动画和功能上,而不是繁复的视觉细节上. 很多人都曾问过我:设计应当如何入门?成为一名优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywvAJz.html" rel="bookmark" class="title">PHOTOSHOP CC使用技巧大公开</a>
					<div>
						  作为工作繁忙的设计师,我们一直追求高效.敏捷地完成设计任务,那究竟要如何提升UI设计效率呢?本文将从软件.习惯.技巧等三个方面来阐述笔者的一些心得总结. 软件篇 工欲善其事,必先利其器.UI设计要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRYBXz.html" rel="bookmark" class="title">IOS动画（Core Animation）总结</a>
					<div>
						一.简介 IOS 动画主要是指Core Animation框架.官方使用文档地址为:Core Animation Guide. Core Animation是IOS和OS X平台上负责图形渲染与动画的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7V0rz.html" rel="bookmark" class="title">路由器按键恢复出厂设置，页面如果监听操作</a>
					<div>
						问题描述 路由器按键恢复出厂设置,页面如果监听操作 公司是做路由器产品的,前台是js+html,后台是C语言,现在通过路由器的按键恢复出厂设置,正常情况下,前台对应的要清除所有的浏览器缓存,但是前台没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmm1RM.html" rel="bookmark" class="title">app上架所需图片规格数量</a>
					<div>
						问题描述 app上架所需图片规格数量 app 上架的时候,不是需要提供屏幕截图吗?4.7/3.5/4/5.5 都只提供一张可以吗,他没报错,但是就怕审核的时候给我拒绝 解决方案 最好是多准备几张,各种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYYG0p.html" rel="bookmark" class="title">javascript-html、js、jq如何限制页面访问总量</a>
					<div>
						问题描述 html.js.jq如何限制页面访问总量 就是说只允许访问300次,访问量超过300就跳到别的页面,通过js.jq.html来实现应该怎么做?求详细代码 解决方案 你这个只能后台做,前台获取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7Y6Np.html" rel="bookmark" class="title">AMD Zen向英特尔CPU施压：我们渲染更快，功耗更低</a>
					<div>
						AMD正在持续放出关于Zen的信息,Zen是备受期待的.全新的x86处理器微架构.Zen对AMD来说是个大事,因为上一代&quot;推土机&quot;(Bulldozer)微架构被英特尔酷睿(Core ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rQLNz.html" rel="bookmark" class="title">问 c&num; CustomAttributeBuilder 构造函数用法</a>
					<div>
						问题描述 publicCustomAttributeBuilder(ConstructorInfocon,//自定义属性的构造函数Object[]constructorArgs,//自定义属性的构造函 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDoZaz.html" rel="bookmark" class="title">Databricks&colon;打造数据国度的&OpenCurlyDoubleQuote;金砖四国&rdquo;</a>
					<div>
						Databricks,一个并不算熟悉的名字,是大数据国度的后起之星.成立不够一年,但却阵容强大,创始人都是开源圈子里面的重要级人物,值得关注.从公司名Databricks似乎就能看出一些深意--dat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Ar4Zz.html" rel="bookmark" class="title">张丹丹：最羡慕袁隆平和黄永玉最欣赏崔永元</a>
					<div>
						张丹丹 有这样一种人,没有华丽的外表,没有夸张的性格,没有出位的言论,但是却能让人深刻地记住她,名嘴张丹丹就是这样一种人. 张丹丹因为主持湖南卫视&lt;背后的故事&gt;而被大众所熟知,因为大气睿智 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBD3lb.html" rel="bookmark" class="title">aspnet-请问ASP&period;NET中web用户控件中使用Session出错，麻烦帮忙解决下，拜托了</a>
					<div>
						问题描述 请问ASP.NET中web用户控件中使用Session出错,麻烦帮忙解决下,拜托了 在用户控件中有下列代码: protected void Page_Load(object sender,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkB78M.html" rel="bookmark" class="title">深蓝词库转换1&period;3版本发布&mdash;&mdash;增强单词注音功能</a>
					<div>
						&quot;深蓝词库转换&quot;是我在闲暇时写的一个词库转换程序,实现了各种输入法的用户词库.网络词库(细胞词库)之间的相互转换. 目前支持的输入法有: PC端: *搜狗拼音 *QQ拼音 *QQ五 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwjxZM.html" rel="bookmark" class="title">sql2008数据库的连接问题</a>
					<div>
						问题描述 使用Myeclipse做开发的,在自己的电脑上装了sql2008和Myeclipse7.5然后项目总是跑不起来,好像是数据库的配置问题运行是报错如下严重:Servlet.service()f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b223Jrb.html" rel="bookmark" class="title">D1net阅闻：OVH收购VMware vCloud Air业务</a>
					<div>
						超大型云服务提供商OVH将收购VMware vCloud Air业务,后者是基于软件驱动的数据中心云解决方案.整个交易预计于今年第二财季完成. Cohesity获得9000万美元C轮融资 Cohesi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJd98p.html" rel="bookmark" class="title">盘点2013年那些优秀的开源cms系统</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 2013年已经一去不复返,我们迎来了2014,虽然2013年已经过去了,但是当年的一些优秀开源cms系统没有被人遗忘.这里我分享给大家一些优秀的cms系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodnNgM.html" rel="bookmark" class="title">是时候建立对RFID数据的信任了</a>
					<div>
						谈到RFID时,笔者经常被问到一个问题:&quot;如果某个区域共有100个RFID标签标记的物品,笔者怎么知道这些标签已经全部读取了?&quot;当然,答案是:&quot;你不会知道的.&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOZo2b.html" rel="bookmark" class="title">毕马威国际主席安茂德：现在是海外投资好时机</a>
					<div>
						过去7个月的数据显示,中国对外直接投资猛增的同时,中国实际吸收外资金额却一路走低.毕马威国际主席安茂德在接受&lt;第一财经日报&gt;采访时表示,在未来的全球经济中,中国与其他国家之间资金流向结构的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8X00b.html" rel="bookmark" class="title">c&plus;&plus;利用windows函数实现计时示例&lowbar;C 语言</a>
					<div>
						复制代码 代码如下: //Windows系统下可以用 time(),clock(),timeGetTime(),GetTickCount(),QueryPerformanceCounter()来对一段 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkmVZz.html" rel="bookmark" class="title">jQuery&plus;css&plus;PHP实现360安全卫士滑动开关效果</a>
					<div>
						本文介绍了使用jQuery.PHP和MySQL实现类似360安全卫士防火墙开启关闭的开关,可以将此功能应用在产品功能的开启和关闭功能上. 准备工作为了更好的演示本例,我们需要一个数据表,记录需要的功能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7r6qM.html" rel="bookmark" class="title">asp&period;net 连接Oracle数据库实例代码</a>
					<div>
						连接oracle数据库很简单,如下  代码如下 复制代码 connectionString=&quot;Password=czh;User ID=czh;Data Source=(DESCRIPTIO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z3ZAz.html" rel="bookmark" class="title">浅析 大数据是&OpenCurlyDoubleQuote;互联网＋&rdquo;的DNA和血液</a>
					<div>
						文章讲的是浅析 大数据是&quot;互联网+&quot;的DNA和血液,说到互联网+我们需要首先讲一讲什么是互联网,既然说到大数据我们看一些数字. 第一个数字1776.1776发生了什么?是瓦特从新改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmwqAz.html" rel="bookmark" class="title">C&plus;&plus;控制台程序如何实现托盘弹出菜单？</a>
					<div>
						问题描述 要详细代码,不要MFC的,我的是控制台程序. 解决方案 解决方案二: 解决方案三:问题的关键所在就是HWND怎么填写呗?控制台窗口的ClassName是&quot;ConsoleWindow ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YyxVz.html" rel="bookmark" class="title">有关android的一个小程序</a>
					<div>
						问题描述 最近发现有一款android的应用,可以查看国内网络上的公共摄像头的实时画面,不知道是什么原理,希望大家帮忙分析一下 问题补充:AngelAndAngel 写道 解决方案 引用所以说,这个玩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWln3z.html" rel="bookmark" class="title">OpenGLES - glBindTexture 绑定纹理缓存到纹理单元</a>
					<div>
						OpenGLES - glBindTexture 绑定纹理缓存到纹理单元 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途-保 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6kQJp.html" rel="bookmark" class="title">徐小平：看项目不投就难受 一年约见3000创业者</a>
					<div>
						有投资人曾告诉记者,世界上的人可以概括为两种,一种人是铁,另一种人是磁铁,而徐小平显然属于后一种. 比起真格基金创始人的头衔,所有人更愿意称呼他为老师.在新东方时帮学生求学求职,现在帮助创业者创业,从 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
